### Hierarchy

- FulltextSearchService

## Index

### Properties

- $http_
- baseUrl_
- defaultParams_
- url_

### Methods

- search

## Properties

### $http_

$http_: IHttpService

- Defined in src/search/FulltextSearch.js:39

### baseUrl_

baseUrl_: string

- Defined in src/search/FulltextSearch.js:50

### defaultParams_

defaultParams_: Object

- Defined in src/search/FulltextSearch.js:56

### url_

url_: string

- Defined in src/search/FulltextSearch.js:44

## Methods

### search

- search(query: string, params: Object): Promise<FeatureCollection<Geometry, {}>>

- - Defined in src/search/FulltextSearch.js:66

  Perform a search query on the c2c-geoportal full-text search.

  #### Parameters

  - ##### query: string

    Search query.

  - ##### params: Object

    Additional parameters.

  #### Returns Promise<FeatureCollection<Geometry, {}>>

  Request promise with data array.

Generated using TypeDoc